fix union type names (#5902)

* fix union type names

* fix up generation and test

* format

* update codegen
This commit is contained in:
Dan Field
2020-05-13 10:26:32 -07:00
committed by GitHub
parent 32782e4ad1
commit 91399ad055
7 changed files with 103 additions and 45 deletions

View File

@@ -18,9 +18,9 @@ pushd "$(dirname $0)" >/dev/null
command -v pub >/dev/null 2>&1 || { echo >&2 "Dart tests require `pub` but it's not installed. Aborting."; exit 1; }
command -v dart >/dev/null 2>&1 || { echo >&2 "Dart tests require dart to be in path but it's not installed. Aborting."; exit 1; }
# output required files to the dart folder so that pub will be able to
# output required files to the dart folder so that pub will be able to
# distribute them and more people can more easily run the dart tests
../flatc --dart -I include_test -o ../dart/test monster_test.fbs
../flatc --dart --no-includes -I include_test -o ../dart/test monster_test.fbs
cp monsterdata_test.mon ../dart/test
cd ../dart